import 'package:flutter/painting.dart';

class PlaneGeometryUtils {
  /// 求解参数直线方程的参数K
  static double lineK(Offset x1, Offset x2) {
    return (x1.dy - x2.dy) / (x1.dx - x2.dx);
  }

  /// 求解参数直线方程的参数C
  static double lineC(Offset x1, Offset x2) {
    return x1.dy - lineK(x1, x2) * x1.dx;
  }


}
